<!DOCTYPE html>
<html>
    <head>
        <title>TRANG QUẢN TRỊ</title>
        <meta charset="utf-8"/>
        <link rel="stylesheet" type="text/css" href="/bootstrap/css/bootstrap-theme.css">
        <link rel="stylesheet" type="text/css" href="/bootstrap/css/bootstrap.css">
        <link rel="stylesheet" type="text/css" href="/css/management.css"> 
        <link rel="stylesheet" type="text/css" href="/sweetalert/sweetalert2.min.css"> 
        <script type="text/javascript" src="/js/jquery.min.js"></script>
        <script type="text/javascript" src="/js/socket.io.js"></script>
        <script type="text/javascript" src="/bootstrap/js/bootstrap.js"></script>
        <script type="text/javascript" src="/js/axios.min.js"></script>
        <script type="text/javascript" src="/sweetalert/sweetalert2.min.js"></script>
        <script type="text/javascript" src="/js/DataAPI/allData.js"></script>
    </head>
    <script>
        var socket = io(`${ localhost }`);
        $(document).ready(() => {
            document.getElementById('btnSearchTour').addEventListener('click', () => {
                let inputValue = document.getElementById('inputSearchTour');
                socket.emit('TrangQuanTri_send_data', inputValue.value);
            })
            document.getElementById('inputSearchTour').addEventListener('change', () => {
                if(document.getElementById('inputSearchTour').value == '') {
                    window.location.reload();
                }
            })        
            socket.on('Server_send_data_to_TrangQuanTri', (data) => {
                let bodyAllTours = document.getElementById('bodyAllTours');
                bodyAllTours.innerHTML = '';
                data.forEach((item, index) => {
                    bodyAllTours.innerHTML += loopTours(index+1, item.MaTour, item.AnhTour, item.TenTour);
                })
            })
        })
    </script>
    <body style="background-color: #F9F9F9">
        <div class="container" style="background-color: white">
            <%- include('includes/nav-admin') %>
            <h1>Danh sách tours du lịch</h1>
            <div class="form-inline">

                <div style="width: 30%;" class="input-group">
                    <input type="text" class="form-control" id="inputSearchTour" placeholder="Nhập vào mã tour hoặc tên tour cần tìm" name="search">
                    <div class="input-group-btn">
                        <button class="btn btn-default" id="btnSearchTour" type="button"><i class="glyphicon glyphicon-search"></i></button>
                    </div>
                </div>
            
                <label for="khuVuc">Khu vực: </label>
                <select class="form-control" style="margin-right:15px;" id="khuVuc">
                    <option selected="selected">Tất cả</option>
                    <option>Trong nước</option>
                    <option>Ngoài nước</option>
                </select>
                <label for="diaDiem">Địa điểm: </label>
                <select class="form-control" style="margin-right:15px;" id="diaDiem">
                    <option selected="selected">Chọn địa điểm</option>
                    <!-- HERE -->
                </select>
                <label for="sapXep">Sắp xếp theo thứ tự: </label>
                <select class="form-control" style="margin-right:15px;" id="sapXep">
                    <option selected="selected">Chọn cách sắp xếp</option>
                    <option>Mới nhất</option>
                    <option>Cũ nhất</option>
                    <option>A -> Z</option>
                    <option>Z -> A</option>
                </select>
            </div>
            <div id="tourDuLich" style="margin-top: 20px;">
                <table class="table table-bordered">
                    <thead>
                    <tr>
                        <th class="col-md-1 text-center">STT</th>
                        <th class="col-md-1 text-center">Mã TOUR</th>
                        <th class="col-md-3 text-center">Ảnh TOUR</th>
                        <th class="col-md-6 text-center">Tên TOUR</th>
                        <th class="col-md-1 text-center">
                            <a href="<%- localhost %>/management/tours/them-tour">
                                <button type="button" class="btn btn-primary">Thêm TOUR</button>
                            </a>
                        </th>
                    </tr>
                    </thead>
                    <tbody id="bodyAllTours">
                        <!-- HERE -->
                    </tbody>
                </table>
            </div>
        </div>
        <script type="text/javascript" src="/js/DataAPI/dataShowTour.js"></script>
    </body>
</html>